Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 671988 (CVE-2018-19486) - <dev-vcs/git-2.19.2: mark path lookup errors with ENOENT
Summary: <dev-vcs/git-2.19.2: mark path lookup errors with ENOENT
Status: RESOLVED FIXED
Alias: CVE-2018-19486
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://git.kernel.org/pub/scm/git/gi...
Whiteboard: A2 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-26 17:23 UTC by D'juan McDonald (domhnall)
Modified: 2019-04-11 01:16 UTC (History)
2 users (show)

See Also:
Package list:
dev-vcs/git-2.19.2
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D'juan McDonald (domhnall) 2018-11-26 17:23:02 UTC
(https://nvd.nist.gov/vuln/detail/CVE-2018-19486):
Git before 2.19.2 on Linux and UNIX executes commands from the current working directory (as if '.' were at the end of $PATH) in certain cases involving the run_command() API and run-command.c, because there was a dangerous change from execvp to execv during 2017.


@maintainer(s): in case of bump, call for stabilization when ready, thank you.


Gentoo Security Padawan
(domhnall
Comment 1 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-11-27 15:09:21 UTC
amd64 stable
Comment 2 Rolf Eike Beer 2018-11-27 20:58:52 UTC
sparc stable
Comment 3 Thomas Deutschmann gentoo-dev Security 2018-11-27 21:56:39 UTC
x86 stable
Comment 4 Sergei Trofimovich gentoo-dev 2018-11-28 22:42:03 UTC
ia64 stable
Comment 5 Sergei Trofimovich gentoo-dev 2018-11-28 22:43:18 UTC
ppc stable
Comment 6 Sergei Trofimovich gentoo-dev 2018-11-28 22:44:16 UTC
ppc64 stable
Comment 7 Mart Raudsepp gentoo-dev 2018-11-29 10:09:24 UTC
arm64 stable
Comment 8 Sergei Trofimovich gentoo-dev 2018-11-29 21:20:43 UTC
hppa stable
Comment 9 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-12-04 15:54:50 UTC
arm and co. stable
Comment 10 Yury German Gentoo Infrastructure gentoo-dev Security 2019-03-10 06:14:49 UTC
Arches and Maintainer(s), Thank you for your work.
New GLSA Request filed.
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2019-04-11 01:16:20 UTC
This issue was resolved and addressed in
 GLSA 201904-13 at https://security.gentoo.org/glsa/201904-13
by GLSA coordinator Aaron Bauman (b-man).